body,
h1,
p {
    margin: 0
}

button,
input {
    font: inherit;
}

button {
    cursor: pointer;
}

.span-row {
    grid-column: 1 / -1;
}

[aria-hidden] {
    filter: blur(0);
    transition: filter 250ms linear;
}

[aria-hidden="true"] {
    filter: blur(0.25em);
    pointer-events: none;
    user-select: none;
}

body {
    font-family: Roboto, Calibri, sans-serif;
    display: grid;
    grid-template-rows: auto 1fr auto;
    block-size: 100vh;
}

header,
footer {
    text-align: center;
    font-size: smaller;
    padding-block: 10px;
    color: #FFF9E5;
    background-color: #4A9782;
}

#carousel {
    padding: 30px;
    display: grid;
    overflow-x: clip;
    overflow-y: auto;
    background-color: #DCD0A8;

}

.card {
    grid-area: 1 / 1;
    display: grid;
    grid-template-rows: auto 1fr auto;
    box-sizing: border-box;
    background-color: #FFF9E5;
    padding: 30px;
    gap: 20px;
    align-items: stretch;
    font-size: clamp(0.5rem, 2vi + 0.5rem, 2rem);
    text-align: center;
    transition: transform 0.5s ease-in-out;
}

@media (prefers-reduced-motion: reduce) {
    .card {
        transition: none;
    }
}

.card.even-rows {
    grid-template-rows: auto 1fr 1fr;
}

@media (min-width: 800px) {

    .card,
    .card.even-rows {
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: auto 1fr;
    }

    .card.auto-right {
        grid-template-columns: 1fr auto;
    }
}

@media (min-width: 1000px) {
    .card {
        margin-inline: 5vw;
        padding: 5vw;
    }
}

.card.previous {
    transform: translateX(-100vw);
}

.card.next {
    transform: translateX(100vw);
}

.card>:first-child {
    grid-column: 1 / -1;
}

.card>*:not(:first-child):not(.buttons) {
    border: 1px lightgray solid;
    border-radius: 10px;
    padding: 20px;
}

.card * {
    align-content: center;
    text-wrap-style: balance;
}

.card button,
.card input {
    font-size: clamp(0.5rem, 2vi + 0.5rem, 1.5rem);
    transition: background-color 0.5s ease-in-out;
}

.card .buttons {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

.card .buttons>* {
    flex-grow: 1;
    border: 1px lightgray solid;
    border-radius: 10px;
    padding: 20px;
    padding-inline: 3vw;
}

.card input {
    min-inline-size: 0;
}

footer {
    padding-block-start: 5px;
}
